[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.AsFloat

Get/Set parameter value as a floating-point value

## Declaration

Source position: db.pas line 1257

`public property TParam.AsFloat : Double read GetAsFloat write SetAsFloat;`

## Description

AsFLoat will return the parameter value as a double floating-point value. If it is written, the value is set to the specified value and the data type is set to ftFloat.

## See also

TParam.AsCurrency |  | Get/Set parameter value as a currency value
TParam.DataType |  | Data type of the parameter
TParam.Value |  | Value as a variant